> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Timecard

Get the current timecard for the given provider.

Returns no punches + clock\_in if there is no active timecard.


## OpenAPI

````yaml /openapi.json get /v1/timekeeping/timecard/{provider}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/timekeeping/timecard/{provider}:
    get:
      summary: ' Get Timecard'
      operationId: v1_timekeeping_timecard__provider__getTimecard
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: provider
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Timecard'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
        '404':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#provider-not-found
                          title:
                            type: string
                            example: A specified provider does not exist in the system.
                        required:
                          - type
                          - title
                    title: Provider Not Found
components:
  schemas:
    Timecard:
      type: object
      properties:
        punches:
          type: array
          items:
            $ref: '#/components/schemas/TimecardPunch'
        nextActions:
          type: array
          items:
            type: string
      required:
        - punches
        - nextActions
      id: Timecard
      x-speakeasy-group: v1.timekeeping
    TimecardPunch:
      type: object
      properties:
        id:
          type: string
          format: uuid
        timecardId:
          type: string
          format: uuid
        providerId:
          type: string
          format: uuid
        generated:
          type: boolean
          default: false
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        updatedAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        action:
          type: string
        state:
          $ref: '#/components/schemas/TimecardPunchState'
        time:
          type: string
          example: 2024-11-20T07:43:34+0000
        providerNote:
          type:
            - string
            - 'null'
          example: Felt sick, had to leave early.
        adminNote:
          type:
            - string
            - 'null'
          example: Adjusted to schedule.
      required:
        - id
        - timecardId
        - providerId
        - createdAt
        - updatedAt
        - action
        - state
        - time
        - providerNote
        - adminNote
      x-speakeasy-group: v1.timekeeping
    TimecardPunchState:
      type: string
      enum:
        - pending
        - approved
        - rejected
      x-fern-enum:
        pending: {}
        approved: {}
        rejected: {}
      x-speakeasy-group: v1.timekeeping
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````